## plasma-keyboard 0.0.0+p24.04+vstable+git20260114.0125

=== debian/changelog ===
plasma-keyboard (0.0.0+p24.04+vstable+git20260114.0125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 01:25:17 +0000

plasma-keyboard (0.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Sun, 13 Jul 2025 16:44:11 +1000

## plasma-keyboard 0.0.0+p24.04+vstable+git20260114.0248

=== debian/changelog ===
plasma-keyboard (0.0.0+p24.04+vstable+git20260114.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 02:48:26 +0000

## plasma-keyboard 0.0.0+p24.04+vunstable+git20260104.0321

=== debian/changelog ===
plasma-keyboard (0.0.0+p24.04+vunstable+git20260104.0321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 03:21:47 +0000

## plasma-keyboard 0.0.0+p24.04+vunstable+git20260130.1419

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Aleix Pol <aleixpol@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.6.80")

project(plasma-keyboard VERSION ${PROJECT_VERSION})

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(QT_MIN_VERSION "6.10.0")
set(KF6_MIN_VERSION "6.22.0")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs) # Should be included first so its variables are available to other modules.

include(ECMDeprecationSettings)
include(ECMInstallIcons)
include(ECMQmlModule)

include(FeatureSummary)

include(KDEClangFormat)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)

option(PLASMA_KEYBOARD_SOUNDS_ENABLED "Whether to enable sound effect support, requires GPLv3 compliance" ON)
option(PLASMA_KEYBOARD_VIBRATION_ENABLED "Whether to enable haptic feedback via vibrations, requires GPLv3 compliance" ON)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    VirtualKeyboard
    WaylandClient
)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    find_package(Qt6WaylandClientPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    I18n
    KCMUtils
    Config
)

ecm_set_disabled_deprecation_versions(QT 6.10.0
    KF 6.18.0
)

find_package(Wayland 1.2 REQUIRED COMPONENTS Client)
find_package(QtWaylandScanner REQUIRED ${QT_MIN_VERSION})
find_package(WaylandProtocols 1.19 REQUIRED)

add_subdirectory(kcm)
add_subdirectory(src)

ki18n_install(po)

kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Aleix Pol <aleixpol@kde.org>
# SPDX-FileCopyrightText: 2025 Devin Lin <devin@kde.org>
# SPDX-FileCopyrightText: 2025 Kristen McWilliam <kristen@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

configure_file(config-plasma-keyboard.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-plasma-keyboard.h)

add_executable(plasma-keyboard)

ecm_add_qtwayland_client_protocol(plasma-keyboard PROTOCOL ${WaylandProtocols_DATADIR}/unstable/input-method/input-method-unstable-v1.xml BASENAME input-method-unstable-v1)
ecm_add_qtwayland_client_protocol(plasma-keyboard PROTOCOL ${WaylandProtocols_DATADIR}/unstable/text-input/text-input-unstable-v1.xml BASENAME text-input-unstable-v1)
ecm_add_qtwayland_client_protocol(plasma-keyboard PROTOCOL "${Wayland_DATADIR}/wayland.xml" BASENAME wayland)

target_sources(plasma-keyboard PRIVATE
    main.cpp
    inputlisteneritem.cpp
    inputlisteneritem.h
    inputmethod.cpp
    inputmethod_p.h
    inputpanelwindow.cpp
    inputpanelwindow.h
    inputplugin.cpp
    inputplugin.h
    qwaylandinputpanelshellintegration.cpp
    qwaylandinputpanelshellintegration_p.h
    qwaylandinputpanelsurface.cpp
    qwaylandinputpanelsurface_p.h
)

if (PLASMA_KEYBOARD_VIBRATION_ENABLED)
    set_source_files_properties(dbus/org.sigxcpu.Feedback.Haptic.xml PROPERTIES INCLUDE vibrationevent.h)
    qt_add_dbus_interfaces(dbusinterface_SRCS
        dbus/org.sigxcpu.Feedback.Haptic.xml)

    target_sources(plasma-keyboard PRIVATE
        vibration.cpp
        vibration.h
        vibrationevent.h
        ${dbusinterface_SRCS}
    )
endif()

if (PLASMA_KEYBOARD_SOUND_ENABLED)
    target_sources(plasma-keyboard PRIVATE
        soundresources.qrc
    )
endif()

ecm_add_qml_module(plasma-keyboard
    URI "org.kde.plasma.keyboard"
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        QtQuick
)

ecm_target_qml_sources(plasma-keyboard SOURCES
    qml/main.qml
    qml/LanguagePopup.qml
    qml/LanguagePopupDelegate.qml
)
ecm_finalize_qml_module(plasma-keyboard)

kconfig_add_kcfg_files(plasma-keyboard GENERATE_MOC plasmakeyboardsettings.kcfgc)

target_link_libraries(plasma-keyboard
    PRIVATE
    KF6::CoreAddons
    KF6::I18n
    KF6::I18nQml
    KF6::ConfigCore
    KF6::ConfigGui
    Qt::DBus
    Qt::Gui
    Qt::GuiPrivate
    Qt::VirtualKeyboard
    Qt::WaylandClient
    Qt::WaylandClientPrivate
    Wayland::Client
)

install(TARGETS plasma-keyboard ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.plasma.keyboard.desktop DESTINATION ${KDE_INSTALL_APPDIR})

add_subdirectory(styles)
add_subdirectory(qmlplugin)

install(DIRECTORY layouts DESTINATION ${CMAKE_INSTALL_PREFIX}/share/plasma/keyboard)

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.plasma.keyboard.metainfo.xml
  DESTINATION ${KDE_INSTALL_METAINFODIR}
)

## plasma-keyboard 0.0.0+p24.04+vunstable+git20260123.0607

=== debian/changelog ===
plasma-keyboard (0.0.0+p24.04+vunstable+git20260123.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 06:07:05 +0000

=== debian/control ===
Source: plasma-keyboard
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               liblayershellqtinterface-dev,
               libplasma-dev,
               libwayland-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-virtualkeyboard-dev,
               qt6-wayland-dev,
               wayland-protocols
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-login-manager
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma-keyboard.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma-keyboard
Maintainer: Neon CI <neon@kde.org>

Package: plasma-keyboard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE's plasma virtual keyboard
 The plasma-keyboard is a virtual keyboard based on Qt Virtual Keyboard
 designed to integrate in Plasma.
 .
 This package contains the plasma-keyboard main library.

Package: plasma-keyboard-dev
Section: libdevel
Architecture: any
Depends: kf6-extra-cmake-modules,
         plasma-keyboard (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: KDE's plasma virtual keyboard
 The plasma-keyboard is a virtual keyboard based on Qt Virtual Keyboard
 designed to integrate in Plasma.
 .
 This package contains the plasma-keyboard development files.

## plasma-keyboard 0.0.0+p24.04+vunstable+git20260130.1419

=== debian/changelog ===
plasma-keyboard (0.0.0+p24.04+vunstable+git20260130.1419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:19:34 +0000
